Updates an existing email config.
1 min
PUT
https://api.upstartcommerce.com/pim/email/config/{emailConfigId}
emailConfigIdintegerThis is the email config id that will used
acceptstringGenerated from available response content types
x-upstart-tenantstringTenant identifier associated with the site.
x-upstart-sitestringThe site identifier.
bodyobject
200email config is successfully updated.
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint.
403User's roles are insufficient for this endpoint.
405This is to indicate that the server has received a request with an HTTP method that is not supported for the requested resource.
406This is to indicate that the resource requested by the client cannot be provided in a format that is acceptable according to the Accept headers sent in the request.
409This is to indicate a conflict between the current state of a resource and the request made by the client. It indicates that the server cannot complete the request due to a conflict with the current state of the resource.
412This is to indicate that a client request is not processed because one or more preconditions given in the request header fields failed to be met.
415This is to indicate that the server cannot process the request because the media type of the request entity is not supported or not recognized by the server.
defaultThis is the default internal server error. System was not able to process this request.
curl --request PUT \
--url https://api.upstartcommerce.com/pim/email/config/{emailConfigId} \
--header 'accept: application/json' \
--header 'x-upstart-tenant: string' \
--header 'x-upstart-site: string'